#include <stdlib.h>             /* for malloc and free */
#include "SFBAssert.h"          /* for BUG_CODE */

#ifndef USE_HEAP                /* If you want a heap, you must ask */
void *malloc(size_t amt) {
  BUG_CODE("No malloc",E_API_MALLOC_CALL);
  return (void *) 0;
}

void free(void * ptr) {
  BUG_CODE("No free",E_API_FREE_CALL);
}
#endif
